旗下导航:搜·么
当前位置:网站首页 > PHP框架 > Swoole > 正文

swoole环境是不是支撑openssl【swoole】,swoole

作者:搜搜PHP网发布时间:2019-12-07分类:Swoole浏览:70


导读:大多数新手在装置Swoole扩大时,都只会运用pecl举行装置,还要增添一些编译参数,比方openssl运用敕令举行装置:(引荐进修:swoole视频教程...

大多数新手在装置 Swoole 扩大时,都只会运用 pecl 举行装置,还要增添一些编译参数,比方 openssl

运用敕令举行装置: (引荐进修: swoole视频教程)

pecl install swoole

在运用 pecl 举行装置时有几个问答选项

enable sockets supports? [no] : 
enable openssl support? [no] : 
enable http2 support? [no] : 
enable mysqlnd support? [no] :

这些是用于开启某些特征,比方 openssl 是来启用 SSL 支撑,大多数新手在这里都邑挑选 yes,以后就入手下手编译了

效果发明报错了:error "Enable openssl support, require openssl library."(细致的错误信息就不细致写了,大概是如许)意义就是说你开启 openssl,通例途径下没有找到,须要你手动指定 openssl 库的途径

或许fatal error: 'openssl/ssl.h' file not found

这个意义是你没有加 openssl 库的途径或许指定 openssl 库的途径不对,缺乏头文件

那末在 pecl 装置的时刻怎样开启增加这个途径呢?不是只能 yes 或许 no 吗?

答案是固然能够增加的,我们能够在 yes 背面跟上途径参数: --with-openssl-dir=/opt/openssl/,替换为你的 openssl 库途径

搜检: php --ri swoole

以上就是swoole环境是不是支撑openssl的细致内容,更多请关注ki4网别的相干文章!

标签:swoole